%define	name	anjuta
%define	version	1.1.97
%define	release	2mdk

Summary:	Integrated development environment for C and C++ (Linux)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://anjuta.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		%{name}-%{version}.tar.bz2
Patch0: 	anjuta-0.9.99-autoconf-2.5.patch.bz2 
Patch2:         anjuta-docbook41.patch.bz2

BuildRequires:	docbook-utils
BuildRequires:	libSDL1.2-devel
BuildRequires:	libglade2.0-devel >= 2.0.0
BuildRequires:	libgnomeprintui2-2-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libpcre-devel >= 3.9
BuildRequires:	libvte-devel >= 0.9
BuildRequires:	libwxgtk2.4-devel
BuildRequires:	libzvt2.0-devel
BuildRequires:	scrollkeeper
PreReq:		scrollkeeper
# (Abel) FIXME: building various kind of projects will need different
# devel packages
Requires:	cvs
Requires:	devhelp >= 0.6
Requires:	glademm >= 2.0.0
Requires:	glade2 >= 2.0.0
Requires:	indent
Requires:	libgtkmm2.0-devel
Requires:	make
#Requires:	gnomemm for gnome 2
# (Abel) go with wxgtk 2.4  for now
Requires:	libwxgtk2.4-devel

Obsoletes:	libanjuta0 libanjuta0-devel
Provides:	libanjuta0 libanjuta0-devel

%description
Anjuta is a very versetile Integrated development environment for 
c and c++ (Linux). Written in gtk/gnome and written for gtk/gnome, 
it features many advanced programming tools and utilities. It is 
basically a GUI interface for the bunch of command line programming 
utilities and tools available for Linux, which are usually run in
console and are very un-userfriendly.

This version of anjuta is the GNOME 2 port of anjuta 1.0, which
was for GNOME 1.x originally. The one written from scratch and
for GNOME 2 from the start has been renamed "Scaffold".

%prep
%setup -q
%patch0 -p1 -b .useautoconf25

%build
# (Abel) encourage debug flag since anjuta is not stable yet
%configure2_5x --enable-debug
%make

%install
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}
%makeinstall

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/anjuta" \
title="Anjuta IDE" \
longtitle="Anjuta Integrated Development Environment for C/C++" \
needs="x11" \
icon="%{_datadir}/pixmaps/%{name}/anjuta_icon.png" \
section="Applications/Development/Development environments" \
startup_notify="yes"
EOF
 
%find_lang %{name}
 
# remove files not bundled
rm -f %{buildroot}%{_libdir}/%{name}/*.la \
      %{buildroot}%{_libdir}/%{name}/*.a
rm -rf %{buildroot}/%{_docdir}

%post
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
 
%postun
%clean_menus 
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%clean
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root) 
%doc AUTHORS ChangeLog COPYING FUTURE NEWS README THANKS
%doc TODO doc/ScintillaDoc.html
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/mime-info/*
%{_datadir}/mimelnk/application/*
%{_datadir}/pixmaps/*
%{_libdir}/%{name}
%{_menudir}/*
%{_mandir}/man?/*


%changelog
* Mon Aug 11 2003 Abel Cheung <maddog@linux.org.hk> 1.1.97-2mdk
- Unmklibnamedification: no lib in lib, no devel in devel.
- Don't pull in 20 GNOME 1.x packages
- Add StartupNotify to menu entry
- Use stock icon in menu entry
- TODO: Get the Requires right

* Fri Jun 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.97-1mdk
- 1.1.97

* Thu May 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.2-2mdk
- buildrequires (stefan spam :)
- distlint error

* Sat Mar 29 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.2-1mdk
- 1.0.2
- use %%mklibname

* Fri Jan 24 2003 Vincent Danen <vdanen@mandrakesoft.com> 1.0.1-3mdk
- BuildRequires: libgdk-pixbuf2-devel, pkgconfig, libgnomeprint15-devel
- some spec cleanups
- clean menu file

* Tue Dec 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-2mdk
- from Quel Qun <kelk1@hotmail.com> : 
	- add BuilRequires: libglade0-devel, docbook-dtd41-sgml.
	- Fixed docs conversion with dtd41.

* Tue Dec 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1
- add missing files & remove unwanted

* Tue Nov 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- regenerate patch

* Mon Aug 12 2002 Frederik Himpe <fhimpe@pandora.be> 0.9.99-1mdk
- update autoconf patch0
- add fcrozat patch1
- add scrollkeeper prereq & post & postun
- from Austin Acton :
	- 0.9.99
- from Frederik Himpe <fhimpe@pandora.be> :
	- requires glademm, libglade0-devel, libnomemm-1.2_9-devel
	- add patch to use autoconf-2.5

* Thu Jul 04 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.1.9-4mdk
- fix requires

* Tue Jun 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.9-3mdk
- rebuild against new libstdc++

* Thu Apr 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.9-2mdk
- requires devhelp

* Thu Apr 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.9-1mdk
- 0.1.9
- provides libanjuta & libanjuta-devel
- icon

* Tue Dec 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.8-1mdk
- 0.1.8

* Fri Aug 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.7-1mdk
- 0.1.7
- fix url

* Wed Jun 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.5-1mdk
- updated to 0.1.5
- able to use install macro

* Fri Mar 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-1mdk
- updated to 0.1.4

* Tue Feb 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.2-1mdk
- updated to 0.1.2

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-2mdk
- new url

* Tue Nov 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-1mdk
- new in contribs
